from PyQt5.QtWidgets import QWidget, QLabel
from PyQt5 import QtCore
from PyQt5.QtGui import QPixmap


class AlertWidget(QWidget):
    def __init__(self, text, parent=None):
        QWidget.__init__(self, parent)

        self.setGeometry(35, 82, 765-35, 278-82)
        self.setAttribute(QtCore.Qt.WA_StyledBackground)
        self.label = QLabel(text, self)
        self.label.setGeometry(200, 0, 765-35-200, 278-82)

        warning = QLabel(self)
        warning.setGeometry(81-35, 133-82, 100, 88)
        warning.setPixmap(QPixmap('res/warning.svg'))

        self.setText = self.label.setText
